%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	An image viewer and browser
Name:		gthumb
Version:	3.4.4.1
Release:	%mkrel 1
License:	GPLv2+
URL:		http://gthumb.sourceforge.net/
Group:		Graphics
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:     0001-Do-not-process-bitmap-thumbnails-with-invalid-color-.patch
#-----------BR--------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}webp-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: itstool
BuildRequires: gsettings-desktop-schemas-devel
#---------------------------------------
Requires: gtk+3.0
Requires: glib2.0-common
Requires: dconf-editor

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows and more. 

%package devel
Summary: Header files for building %name extensions
Group: Development/Libraries

%description devel
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-libopenraw --disable-static --disable-clutter
%make

%install
rm -rf %{buildroot}
%makeinstall_std


desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --with-gnome

# remove unpackaged files 
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_datadir}/help/*/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/gthumb.appdata.xml
%{_datadir}/icons/hicolor/16x16/apps/gthumb-symbolic.svg
%dir %{_libdir}/%name/
%dir %{_libdir}/%name/extensions/
%{_libdir}/%{name}/extensions/*.extension
%{_libdir}/%{name}/extensions/*.so
%{_mandir}/man?/%{name}.*

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/%{name}-%{url_ver}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/%{name}.m4

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%clean
rm -rf  %{buildroot}

%changelog
* Sat Jun 10 2017 adrianomorselli <adrianomorselli> 3.4.4.1-1uplos2017
- update
